atk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. The base object class for the Accessibility Toolkit API.

This class is the primary class for accessibility support via the Accessibility ToolKit (Atk). Objects which are instances of (or instances of -derived types) are queried for properties which relate basic (and generic) properties of a UI component such as name and description. Instances of may also be queried as to whether they implement other Atk interfaces (e.g. , , etc.), as appropriate to the role which a given UI component plays in a user interface.

All UI components in an application which provide useful information or services to the user must provide corresponding instances on request (in Gtk, for instance, usually on a call to ), either via Atk support built into the toolkit for the widget class or ancestor class, or in the case of custom widgets, if the inherited implementation is insufficient, via instances of a new subclass.

GLib.Object GLib.IWrapper System.IDisposable
- Method
  Atk.Object `` To be added an object of type an object of type To be added
- Method
  System.UInt32 `` To be added an object of type an object of type To be added
- Method
  System.Void `` To be added an object of type To be added
- Method
  Atk.RelationSet To be added an object of type To be added
- Method
  System.Void `` To be added an object of type To be added
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  Atk.StateSet To be added an object of type To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Object, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Atk.Object To be added an object of type an object of type To be added
- Property
  System.String To be added an object of type an object of type To be added
- Property
  System.Int32 To be added an object of type To be added
- Property
  System.Int32 To be added an object of type To be added
- Property
  Atk.Role To be added an object of type an object of type To be added
- Property
  System.Int32 To be added an object of type To be added
- Property
  Atk.Layer To be added an object of type To be added
- Property
  System.String To be added an object of type an object of type To be added
- Property
  System.String To be added an object of type an object of type To be added
- Property
  System.String To be added an object of type an object of type To be added
- Property
  System.Int32 To be added an object of type To be added
- Property
  Atk.Object To be added an object of type an object of type To be added
- Property
  System.Double To be added an object of type an object of type To be added
- Property
  Atk.Object To be added an object of type an object of type To be added
- Property
  System.String To be added an object of type an object of type To be added
- Property
  System.Int32 To be added an object of type an object of type To be added
- Property
  System.Int32 To be added an object of type To be added
- Property
  System.String To be added an object of type an object of type To be added
- Property
  Atk.Object To be added an object of type an object of type To be added
- Property
  System.String To be added an object of type an object of type To be added
- Property
  Atk.Object To be added an object of type an object of type To be added
- Event
  Atk.StateChangeHandler To be added To be added
- Event
  Atk.ChildrenChangedHandler To be added To be added
- Event
  System.EventHandler To be added To be added
- Event
  Atk.FocusEventHandler To be added To be added
- Event
  Atk.ActiveDescendantChangedHandler To be added To be added
- Method
  System.Boolean `` `` To be added a a a To be added
- Method
  System.Boolean `` `` To be added a a a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Internal constructor
  a
  a
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Event
  Atk.PropertyChangeEventHandler To be added To be added
- Constructor
  Default constructor
  a
- Property
  System.Int32 To be added a To be added
- Property
  Atk.Object To be added a To be added